
Packaging - Bug #27326

Hammer config files are installed with permissions 755

07/17/2019 05:02 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: RPMs   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/3934

  

Description

Both /etc/hammer/cli.modules.d/foreman.yml and /etc/hammer/cli_config.yml are installed by RPM packages with mode 755. This is

then corrected by the installer, but there's no reason to install them as executable files.

Associated revisions

Revision 9ed05483 - 07/18/2019 07:18 AM - Ewoud Kohl van Wijngaarden

Fixes #27326 - Non-executable hammer config files

History

#1 - 07/17/2019 05:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/3934 added

#2 - 07/18/2019 07:23 AM - The Foreman Bot

- Fixed in Releases 1.23.0 added

#3 - 07/18/2019 08:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|9ed054839bcc2e92a6afc0205bf80b17167e3db0.
